aboutsummaryrefslogtreecommitdiffstats
path: root/main/expect/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-07-30 08:51:11 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-07-30 08:54:53 +0000
commit5c904717322f8113870abf48cc93c3c8b00ab4e8 (patch)
treee077e5c3afa20630fd6e96db5872f03d622d639e /main/expect/APKBUILD
parenta879839450737e3cbdb64415af42347c97ccfa28 (diff)
downloadaports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.gz
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.bz2
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.xz
[all autotools packages]: normalize ./configure
Diffstat (limited to 'main/expect/APKBUILD')
-rw-r--r--main/expect/APKBUILD8
1 files changed, 6 insertions, 2 deletions
diff --git a/main/expect/APKBUILD b/main/expect/APKBUILD
index e9b8ead219..13f2f44c7c 100644
--- a/main/expect/APKBUILD
+++ b/main/expect/APKBUILD
@@ -16,13 +16,17 @@ source="http://downloads.sourceforge.net/project/expect/Expect/$pkgver/$pkgname$
_builddir="$srcdir"/$pkgname$pkgver
build() {
cd "$_builddir"
- ./configure --prefix=/usr
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/share/man \
--with-tcl=/usr/lib \
--with-tclinclude=/usr/include \
- --disable-rpath
+ --disable-rpath \
+ || return 1
make || return 1
}
package() {